Pregunta sobre TLS 1.2 Compatibility Test de Wordpress:

Puede estar informando incorrectamente

Un usuario pregunt贸 馃憞

Oye Ann,

El plugin intenta conectarse a https://tlstest.paypal.com/ pero ya no parece tener ning煤n registro DNS, por lo que el plugin informa:

cURL error 6: Could not resolve host: tlstest.paypal.com

y concluye que TLS 1.2 no est谩 habilitado.

Los informes no mejoran la selecci贸n del punto final howsmyssl en el plugin y nuevamente dice que TLS 1.2 no est谩 habilitado.

Sin embargo, ejecut茅 un script r谩pido en mi servidor para conectarme con curl al punto final howsmyssl y est谩 funcionando correctamente con TLS 1.2. (Mira: https://stackoverflow.com/questions/27904854/verify-if-curl-is-using-tls/50766765 )

<?php 
$ch = curl_init('https://www.howsmyssl.com/a/check');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$data = curl_exec($ch);
curl_close($ch);
$json = json_decode($data);
echo $json->tls_version;
?>

Salida: TLS 1.2

Conclusi贸n: en mi sistema, el plugin se est谩 ejecutando pero no informa correctamente.

(@pensamientoviable)

Hace 8 meses, 1 semana

Hola –

Capaz de confirmar, solo prob贸 su script y mi resultado fue TLS 1.3 pero el plugin informa que no est谩 habilitado. 驴Quiz谩s porque no es exactamente 1.2? No estoy seguro.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *